Name:           perl-IO-Socket-Multicast
Summary:        Perl library for sending and receiving multicast messages
Version:        1.12
Release:    1%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/IO-Socket-Multicast
Source0:        https://cpan.metacpan.org/authors/id/B/BR/BRAMBLE/IO-Socket-Multicast-%{version}.tar.gz
Source1:        http://dev.perl.org/licenses/#/%{name}-Licensing.html

BuildRequires: make
BuildRequires:  gcc
BuildRequires:  perl-devel
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Config)
BuildRequires:  findutils

BuildRequires:  perl(Carp)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(IO::Socket)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(IO::Interface) >= 0.94

Requires:       perl(IO::Interface) >= 0.94

%description
The IO::Socket::Multicast module sub-classes IO::Socket::INET to enable you
to manipulate multicast groups. With this module (and an operating system
that supports multicast), you will be able to receive incoming multicast
transmissions and generate your own outgoing multicast packets.

%prep
%autosetup -n IO-Socket-Multicast-%{version}
cp -a %{SOURCE1} Licensing.html
chmod 644 examples/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_build pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -size 0 -delete
find %{buildroot} -type d -empty -delete

%{_fixperms} %{buildroot}/*

%check
%make_build test

%files
%license Licensing.html
%doc Changes README examples/
%{perl_vendorarch}/auto/IO/
%{perl_vendorarch}/IO/
%{_mandir}/man3/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-1
- initial build
